> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.flashid.app/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.flashid.app/_mcp/server.

# Create folder

POST http://127.0.0.1:58931/api/folders
Content-Type: application/json

Create a folder by name.

**Body parameters**

| Field | Type | Required | Description |
|---|---|---|---|
| `name` | `string` | Yes | Folder name. |

Reference: https://docs.flashid.app/api-reference/folders/create-folder

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/folders:
    post:
      operationId: create-folder
      summary: Create folder
      description: |-
        Create a folder by name.

        **Body parameters**

        | Field | Type | Required | Description |
        |---|---|---|---|
        | `name` | `string` | Yes | Folder name. |
      tags:
        - subpackage_folders
      parameters:
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Folders_Create folder_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
              required:
                - name
servers:
  - url: http://127.0.0.1:58931
    description: http://127.0.0.1:58931
components:
  schemas:
    ApiFoldersPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties: {}
      title: ApiFoldersPostResponsesContentApplicationJsonSchemaData
    Folders_Create folder_Response_200:
      type: object
      properties:
        code:
          type: integer
        data:
          $ref: >-
            #/components/schemas/ApiFoldersPostResponsesContentApplicationJsonSchemaData
        success:
          type: boolean
      required:
        - code
        - data
        - success
      title: Folders_Create folder_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Request**

```json
{
  "name": "Project Documents"
}
```

**Response**

```json
{
  "code": 0,
  "data": {},
  "success": true
}
```

**SDK Code**

```python Folders_Create folder_example
import requests

url = "http://127.0.0.1:58931/api/folders"

payload = { "name": "Project Documents" }
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Folders_Create folder_example
const url = 'http://127.0.0.1:58931/api/folders';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"Project Documents"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Folders_Create folder_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "http://127.0.0.1:58931/api/folders"

	payload := strings.NewReader("{\n  \"name\": \"Project Documents\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Folders_Create folder_example
require 'uri'
require 'net/http'

url = URI("http://127.0.0.1:58931/api/folders")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Project Documents\"\n}"

response = http.request(request)
puts response.read_body
```

```java Folders_Create folder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("http://127.0.0.1:58931/api/folders")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Project Documents\"\n}")
  .asString();
```

```php Folders_Create folder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'http://127.0.0.1:58931/api/folders', [
  'body' => '{
  "name": "Project Documents"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Folders_Create folder_example
using RestSharp;

var client = new RestClient("http://127.0.0.1:58931/api/folders");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Project Documents\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Folders_Create folder_example
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Project Documents"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "http://127.0.0.1:58931/api/folders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```